---
stages:
  - check

format:
  stage: check
  image: python:3.8-slim-buster
  before_script:
    - pip install --upgrade pip -r requirements.txt
    - pip show black
  script:
    - black --check --diff --verbose .
  only:
    - merge_requests

lint:
  stage: check
  image: python:3.8-slim-buster
  before_script:
    - pip install --upgrade pip -r requirements.txt
    - pip show flake8
  script:
    - flake8
  only:
    - merge_requests
